Suecia N°0142, Oficina 202, Providencia
    Santiago CL13100
    Chile
+56993321582 contacto@odoocoop.cl

Welcome!

This community is for professionals and enthusiasts of our products and services. Share and discuss the best content and new marketing ideas, build your professional profile and become a better marketer together.

0

Problema al generar NC desde pedido del pos [Cerrado]

por
Cesar Cardenas
en 07-10-18 04:06 69 vistas

El Pregunta ha sido cerrada por motivo: duplicar post

por
Daniel Santibáñez Polanco
de 09/10/2018 08:30:40

Al anular una boleta electrónica generada desde el punto de venta aparece el siguiente error ¿Alguna idea?

Odoo Server Error
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/addons/base/ir/ir_qweb/qweb.py", line 343, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_l10n_cl_dte_point_of_sale_report_boleta_sii_barcode_layout_812
AttributeError: 'NoneType' object has no attribute 'sii'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1620, in report_download
    response = self.report_routes(reportname, docids=docids, converter='pdf')
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 515, in response_wrap
    response = f(*args, **kw)
  File "/opt/odoo/addons/report_xlsx/controllers/main.py", line 43, in report_routes
    reportname, docids, converter, **data
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 515, in response_wrap
    response = f(*args, **kw)
  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1569, in report_routes
    pdf = report.with_context(context).render_qweb_pdf(docids, data=data)[0]
  File "/usr/lib/python3/dist-packages/odoo/addons/base/ir/ir_actions_report.py", line 628, in render_qweb_pdf
    html = self.with_context(context).render_qweb_html(res_ids, data=data)[0]
  File "/usr/lib/python3/dist-packages/odoo/addons/base/ir/ir_actions_report.py", line 666, in render_qweb_html
    return self.render_template(self.report_name, data), 'html'
  File "/usr/lib/python3/dist-packages/odoo/addons/base/ir/ir_actions_report.py", line 470, in render_template
    return view_obj.render_template(template, values)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/ir/ir_ui_view.py", line 1201, in render_template
    return self.browse(self.get_view_id(template)).render(values, engine)
  File "/usr/lib/python3/dist-packages/odoo/addons/web_editor/models/ir_ui_view.py", line 27, in render
    return super(IrUiView, self).render(values=values, engine=engine)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/ir/ir_ui_view.py", line 1210, in render
    return self.env[engine].render(self.id, qcontext)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 57, in render
    return super(IrQWeb, self).render(id_or_xml_id, values=values, **context)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/ir/ir_qweb/qweb.py", line 272, in render
    self.compile(template, options)(self, body.append, values or {})
  File "/usr/lib/python3/dist-packages/odoo/addons/base/ir/ir_qweb/qweb.py", line 345, in _compiled_fn
    raise e
  File "/usr/lib/python3/dist-packages/odoo/addons/base/ir/ir_qweb/qweb.py", line 343, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_992_747
  File "<template>", line 2, in body_call_content_746
  File "<template>", line 3, in foreach_745
  File "/usr/lib/python3/dist-packages/odoo/addons/base/ir/ir_qweb/qweb.py", line 345, in _compiled_fn
    raise e
  File "/usr/lib/python3/dist-packages/odoo/addons/base/ir/ir_qweb/qweb.py", line 343, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_l10n_cl_dte_point_of_sale_report_pos_boleta_ticket_body_767
  File "<template>", line 2, in body_call_content_766
  File "/usr/lib/python3/dist-packages/odoo/addons/base/ir/ir_qweb/qweb.py", line 350, in _compiled_fn
    raise QWebException("Error to render compiling AST", e, path, node and etree.tostring(node[0], encoding='unicode'), name)
odoo.addons.base.ir.ir_qweb.qweb.QWebException: 'NoneType' object has no attribute 'sii'
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/addons/base/ir/ir_qweb/qweb.py", line 343, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_l10n_cl_dte_point_of_sale_report_boleta_sii_barcode_layout_812
AttributeError: 'NoneType' object has no attribute 'sii'

Error to render compiling AST
AttributeError: 'NoneType' object has no attribute 'sii'
Template: l10n_cl_dte_point_of_sale.report_boleta_sii_barcode_layout
Path: /templates/t/div/div[2]/p/t[3]
Node: <t t-if="o.document_class_id.sii_code in [ 61 ]" t-esc="www.sii.cl"/>

0

Daniel Santibáñez Polanco

--Daniel Santibáñez Polanco--

1006
| 2 0 2
Melipilla, Chile
--Daniel Santibáñez Polanco--


Daniel Santibáñez Polanco
En 09-10-18 08:29

Hola!


Actualmente no hay soporte para emitir facturas desde el POS, solamente desde el backoffice de Punto de Ventas., Sin embargo, este bug ya fue reportado en gitlab, no duplicar cosas por favor


Mantener informado

Acerca de esta comunidad

Esta comunidad Relacionada a Odoo y la Facturación electrónica Chilena.
Cualquier consulta pública sobre los módulos abiertos se puede hacer aquí
Lea las directrices

Herramientas de las preguntas

5 seguidor(es)

Estadísticas

Preguntado: 07-10-18 04:06
Visto: 69 veces
Última actualización: 09-10-18 08:30